## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           digdoc
Version:        0.0.1
Release:        %autorelease
Summary:        A DNS-over-CoAP client

License:        MIT
URL:            https://github.com/dig-doc/digdoc
Source:         %{url}/archive/v%{version}/digdoc-%{version}.tar.gz
# Update CMake to install the binary
# https://github.com/dig-doc/digdoc/pull/3
Patch:          install.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  libcoap-devel
BuildRequires:  ldns-devel
# Documentation dependencies
BuildRequires:  python3-breathe
BuildRequires:  python3-sphinx

%description
digdoc is a lightweight command-line tool written in C that acts as a
DNS-over-CoAP (DoC) client. Since most common DNS servers do not natively
support CoAP, digdoc currently uses the aiodns-proxy project to translate
CoAP packets into standard UDP-based DNS queries.

%prep
%autosetup -n digdoc-%{version} -p1


%build
%cmake
%cmake_build
# Build documentation
pushd sphinx
sphinx-build source man -b man
popd

%install
%cmake_install
mkdir -p %{buildroot}/%{_mandir}/man1
cp -p sphinx/man/*.1 %{buildroot}/%{_mandir}/man1/digdoc.1

%check
# Tests need internet access
# https://github.com/dig-doc/digdoc/issues/4

%files
%license LICENSE
%doc README.md
%{_bindir}/digdoc
%{_mandir}/man1/digdoc.1*

%changelog
## START: Generated by rpmautospec
* Mon Mar 17 2025 John Doe <packager@example.com> - 0.0.1-1
- Uncommitted changes
## END: Generated by rpmautospec
